ENFUSE(1)

NAME
enfuse - manual page for enfuse 4.0-753b534c819d

SYNOPSIS
enfuse [options] [--output=IMAGE] INPUT...

DESCRIPTION
Fuse INPUT images into a single IMAGE.

INPUT... are image filenames or response filenames. Response filenames start with an "@" character.

  Common options:

-V, --version
    output version information and exit

-h, --help
    print this help message and exit

-l, --levels=LEVELS
    number of blending LEVELS to use (1 to 29); negative number of LEVELS decreases maximum

-o, --output=FILE
    write output to FILE; default: "a.tif"

-v, --verbose[=LEVEL]
    verbosely report progress; repeat to increase verbosity or directly set to LEVEL

-w, --wrap[=MODE]
    wrap around image boundary, where MODE is NONE, HORIZONTAL, VERTICAL, or BOTH; default: none;

--compression=COMPRESSION
    set compression of output image to COMPRESSION, where COMPRESSION is: NONE, PACKBITS, LZW, DEFLATE for TIFF files and 0 to 100 for JPEG files

  Extended options:

-b BLOCKSIZE
    image cache BLOCKSIZE in kilobytes; default: 2048KB

-c  use CIECAM02 to blend colors

-d, --depth=DEPTH
    set the number of bits per channel of the output image, where DEPTH is 8, 16, 32, r32, or r64

-g  associated-alpha hack for Gimp (before version 2) and Cinepaint

-f WIDTHxHEIGHT[+xXOFFSET+yYOFFSET]
    manually set the size and position of the output image; useful for cropped and shifted input TIFF images, such as those produced by Nona

-m CACHESIZE
    set image CACHESIZE in megabytes; default: 1024MB

  Fusion options:

--exposure-weight=WEIGHT
    weight given to well-exposed pixels (0 <= WEIGHT <= 1); default: 1

--saturation-weight=WEIGHT
    weight given to highly-saturated pixels (0 <= WEIGHT <= 1); default: 0.2

--contrast-weight=WEIGHT
    weight given to pixels in high-contrast neighborhoods (0 <= WEIGHT <= 1); default: 0

--entropy-weight=WEIGHT
    weight given to pixels in high entropy neighborhoods (0 <= WEIGHT <= 1); default: 0

--exposure-mu=MEAN
    center also known as MEAN of Gaussian weighting function (0 <= MEAN <= 1); default: 0.5

--exposure-sigma=SIGMA standard deviation of Gaussian weighting
    function (SIGMA > 0); default: 0.2

--soft-mask
    average over all masks; this is the default

--hard-mask
    force hard blend masks and no averaging on finest scale; this is especially useful for focus stacks with thin and high contrast features, but leads to increased noise

  Expert options:

--contrast-window-size=SIZE
    set window SIZE for local-contrast analysis (SIZE >= 3); default: 5

--gray-projector=OPERATOR
    apply gray-scale projection OPERATOR in exposure or contrast weighing, where OPERATOR is one of "average", "l-star", "lightness", "value", "luminance", or "channel-mixer:RED-WEIGHT:GREEN-WEIGHT:BLUE-WEIGHT"; default: "average"

--contrast-edge-scale=EDGESCALE[:LCESCALE[:LCEFACTOR]]
    set scale on which to look for edges; positive LCESCALE switches on local contrast enhancement by LCEFACTOR (EDGESCALE, LCESCALE, LCEFACTOR >= 0); append "%" to LCESCALE for values relative to EDGESCALE; append "%" to LCEFACTOR for relative value; defaults: 0:0:0

--contrast-min-curvature=CURVATURE
    minimum CURVATURE for an edge to qualify; append "%" for relative values; default: 0

--entropy-window-size=SIZE
    set window SIZE for local entropy analysis (SIZE >= 3); default: 3

--entropy-cutoff=LOWERCUTOFF[:UPPERCUTOFF]
    LOWERCUTOFF is the value below of which pixels are treated as black and UPPERCUTOFF is the value above of which pixels are treated as white in the entropy weighting; append "%" signs for relative values; default: 0%:100%

--save-masks[=SOFT-TEMPLATE[:HARD-TEMPLATE]]
    save weight masks in SOFT-TEMPLATE and HARD-TEMPLATE; conversion chars: %i: mask index, %n: mask number, %p: full path, %d: dirname, %b: basename, %f: filename, %e: extension; lowercase characters refer to input images uppercase to the output image; default: "softmask-%n.tif":"hardmask-%n.tif"

AUTHOR
Written by Andrew Mihal and others.

REPORTING BUGS
Report bugs at <http://sourceforge.net/projects/enblend/>.

COPYRIGHT
Copyright © 2004-2009 Andrew Mihal. License GPLv2+: GNU GPL version 2 or later <http://www.gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for enfuse is maintained as a Texinfo manual. If the info and enfuse programs are properly installed at your site, the command

    info enfuse

should give you access to the complete manual.